#include "Placement.h"

Placement::Placement() {
  this->position = Vector3::zero;
  this->thing = nullptr;
}

Placement::Placement(Thing* thing, Vector3 position) {
  this->position = position;
  this->direction = Vector3::zero;
  this->thing = thing;
}

Placement::Placement(Thing* thing, Vector3 position, float horizontalDirection) {
  this->position = position;
  this->direction = Vector3(0, horizontalDirection, 0);
  this->thing = thing;
}

Placement::Placement(Thing* thing, float horizontalDirection) {
  this->position = Vector3::zero;
  this->direction = Vector3(0, horizontalDirection, 0);
  this->thing = thing;
}
